AnsweredAssumed Answered

Coldfire V1 MAC simulation in Code Warrior v5.9

Question asked by Dave Curtis on Apr 17, 2015
Latest reply on Apr 27, 2015 by Carlos_Mendoza

Code Warrior (v5.9.0) seems to be able to assemble MAC instructions if you select a Coldfire processor that supports MAC, but the simulator crashes if you attempt to execute them.  The simulator 'set derivative' menu does not seem to include any instances of processors that support MAC.  Is this a limitation of the simulator, or is there some setting I am missing?  If it does not support MAC, is there some later version or upgrade that does?

Outcomes